---
lang: en
title: 'API docs: repository.model.toobject'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.model.toobject.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [Model](./repository.model.md) &gt; [toObject](./repository.model.toobject.md)

## Model.toObject() method

Convert to a plain object as DTO

<b>Signature:</b>

```typescript
toObject(options?: Options): Object;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | <code>Options</code> |  |

<b>Returns:</b>

`Object`


